package protocol

type PacketContext struct {
	ReceiveAddress []byte
	DeviceId       string
}

// SetReceiveAddress 设置接收表地址
func (a *PacketContext) SetReceiveAddress(address []byte) {
	a.ReceiveAddress = address
}

// GetReceiveAddress 获取接收表地址
func (a *PacketContext) GetReceiveAddress() []byte {
	return a.ReceiveAddress
}

// SetDeviceId 设置接收表地址
func (a *PacketContext) SetDeviceId(deviceID string) {
	a.DeviceId = deviceID
}

// GetDeviceId 获取表地址
func (a *PacketContext) GetDeviceId() string {
	return a.DeviceId
}
